MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022572Community[OCCT] OCCT:Data Exchangepublic2011-06-03 14:172012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.5.2Fixed in Version[OCCT] 6.5.2 
Summary0022572: Support of progress indicator in RWStl and optimization of reading Ascii.
Descriptionfix225
- Summary: Support of progress indicator in RWStl and optimization of reading Ascii.
Detailed description:
      - Progress indicator added to Write...(), Read...().
      - reduction of string buffers reallocation when writing STL files in ascii
mode
TagsNo tags attached.
Test case numberchl 937 C5
Attached Filesgz file icon chl_937_C5.tar.gz (601 bytes) 2011-07-12 14:24

- Relationships
parent of 0022760closedbugmaster Open CASCADE Regression in the method RWStl::WriteAscii 
child of 0022825closedabv Community Integration of contributions by Roman Lygin to OCCT 6.5.2 

-  Notes
(0017590)
kgv (developer)
2011-06-10 15:35

SVN branch http://svn/svn/occt/branches/OCC22572_RWStlPrIndicator [^] for this BUG
was superficially reviewed.
- Original patch based on out-dated version of sources (thus directly applied
on recent revision will contain changes unrealted to fix).
- Generally when user interrupt function execution (using progress indiactor
interface) this function should return fail code rather then success.
- RWStl.cdl was uploaded to branch with CRLF endlines.
(0017591)
kgv (developer)
2011-06-10 16:52

Additional remark: meshfromstl DRAWEXE command was not updated to use
introduced progress indicator.

All remarks should be fixed and new code revision is needed.
(0017592)
kgv (developer)
2011-06-10 16:56

All remarks was fixed and integrated into bug branch.
Introduced progress indicator can be tested with this DRAWEXE scenario:

pload ALL;
vinit;
XProgress -t -g;
meshfromstl m1 bearing.stl;
XProgress +t +g;
meshfromstl m2 bearing.stl;

At second meshfromstl progress should be shown.

Patch is ready for testing (should be retrieved from SVN
http://svn/svn/occt/branches/OCC22572_RWStlPrIndicator [^]).
(0017593)
ycy (tester)
2011-07-11 16:12
edited on: 2011-11-22 12:01

Dear,Kirill
Please attach file "bearing.stl"
Regards,
Yuri.

(0017594)
kgv (developer)
2011-07-11 17:06

2Yuri,
this STL file is placed in OCCT/data/stl/ path within standard OCCT installation.
(0017595)
ycy (tester)
2011-07-12 16:23
edited on: 2011-11-22 17:35

Dear BugMaster,
SVN branch (http://svn/svn/occt/branches/OCC22572_RWStlPrIndicator [^]) was
testing, test results were compared with KAS:dev:products-651-opt

regressions were not found
Test case for this bug (chl/937/C5)

improvements chl 937 C5

See results in /QADisk/OCCTtests/KAS/dev/ycy-products-3_08072011/lin
See reference results in
/QADisk/occttests/results/KAS/dev/products-651-opt_01062011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://sbu.nnov.opencascade.com/maintenance/main_certification_te.html [^]

(0017597)
bugmaster (administrator)
2011-07-13 11:57

Fix has been integrated to occt repository

Date: 2011-07-12 21:24:21 +0400 (Tue, 12 Jul 2011)
New Revision: 8671

Modified:
   trunk/src/RWStl/RWStl.cdl
   trunk/src/RWStl/RWStl.cxx
   trunk/src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx

- Related Changesets
occt: master 9c6afe19
Timestamp: 2011-07-12 17:24:21
Author: RLN and KGV
Committer: bugmaster
Details ] Diff ]
OCC22572 Support of progress indicator in RWStl and optimization of reading Ascii.
mod - src/RWStl/RWStl.cdl Diff ] File ]
mod - src/RWStl/RWStl.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-07-05 18:10 kgv CC => kgv
2011-07-13 11:56 bugmaster Status closed => assigned
2011-07-13 11:56 bugmaster Resolution suspended => @0@
2011-07-13 11:56 bugmaster Assigned To bugmaster => kgv
2011-07-13 11:56 bugmaster Status assigned => tested
2011-07-13 11:57 bugmaster Status tested => verified
2011-07-29 15:32 bugmaster Fixed in Version EMPTY =>
2011-07-29 15:32 bugmaster Target Version => 6.5.2
2011-07-29 15:32 bugmaster Description Updated View Revisions
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange
2011-09-07 17:15 mkv Test case number => chl 937 C5
2011-10-13 16:48 abv Relationship added parent of 0022760
2011-11-22 12:01 szy Note Edited: 0017593 View Revisions
2011-11-22 17:35 szy Note Edited: 0017595 View Revisions
2011-12-05 11:24 abv Relationship added child of 0022825
2012-01-17 18:35 abv Assigned To kgv => Roman Lygin
2012-03-29 17:26 bugmaster Changeset attached => occt master 9c6afe19


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker